Eclipse Community Forums
Forum Search:

Search      Help    Register    Login    Home
Home » Eclipse Projects » Web Tools Project (WTP) » Moving from Europa to Ganymede
Moving from Europa to Ganymede [message #224599] Mon, 01 December 2008 14:06 Go to next message
Eclipse User
Originally posted by: nospam.nospam.com

I have had some update issues with Europa and it was suggested that
suggested that I move to Ganymede instead of fighting with Europa. I was
using Aptana and every time I launched Europa I would get a bunch of
annoying update messages, other than this everything was/is working just
fine under Europa.

Anyway, I decided to try to move to Ganymede. To do so I installed
Ganymede, made a copy of my Europa workspace, fired up Ganymede and then
selected the copied workspace. Initially things looked OK, but when I
tried to run one of the java classes I got a build error. Further
investigation revealed that the JBOss 3.23 runtime was unbound. Apparently
there was a change in the WTP between the two versions.

No problem I thought, I went to the prefs and added a 3.23 server. I then
went back into the project properties to add the server lib to the
classpath. In there was an entry for jBoss 3.2 that was an artifact of the
Europa workspace. No problem, I deleted it and added the newly created
jBoss 3.2.3 config. Returning to the project and attempting a build
resulted in the same issues. I went back to the properties and Eclipse
(Ganymede) had reverted back to the previous server libs (with an unbound
in parens after the entry). I tried repeatedly to delete the old unbound
libs and add the newly created server with no luck, What the heck am I
doing wrong?
--
-Gary
Re: Moving from Europa to Ganymede [message #224622 is a reply to message #224599] Mon, 01 December 2008 20:34 Go to previous messageGo to next message
Konstantin Komissarchik is currently offline Konstantin Komissarchik
Messages: 940
Registered: July 2009
Senior Member
> Anyway, I decided to try to move to Ganymede. To do so I installed
> Ganymede, made a copy of my Europa workspace, fired up Ganymede and then
> selected the copied workspace.

Smart move creating a copy of your workspace, but you want to flip things
around. Make a copy of your original workspace as a backup and open the
original workspace in Ganymede. Workspace metadata has a lot of absolute
paths and is not portable. Projects themselves are portable, but then you
would want to delete the .metadata directory and re-creation all your
workspace-level settings.

- Konstantin
Re: Moving from Europa to Ganymede [message #224636 is a reply to message #224599] Wed, 03 December 2008 04:50 Go to previous messageGo to next message
Eclipse User
Originally posted by: mauro.molinari.cardinis.com

Gary Udstrand ha scritto:
> No problem I thought, I went to the prefs and added a 3.23 server. I then
> went back into the project properties to add the server lib to the
> classpath. In there was an entry for jBoss 3.2 that was an artifact of the
> Europa workspace. No problem, I deleted it and added the newly created
> jBoss 3.2.3 config. Returning to the project and attempting a build
> resulted in the same issues. I went back to the properties and Eclipse
> (Ganymede) had reverted back to the previous server libs (with an unbound
> in parens after the entry). I tried repeatedly to delete the old unbound
> libs and add the newly created server with no luck, What the heck am I
> doing wrong?

I wouldn't suggest you to use the old workspace. Rather, backup your
Europa workspace, but then start Ganymede on a new empty workspace and
import projects from your old Europa workspace.
This prevents Ganymede from using metadatas from Europa, causing problems.

Mauro.
Re: Moving from Europa to Ganymede [message #224660 is a reply to message #224636] Wed, 03 December 2008 09:51 Go to previous messageGo to next message
Eclipse User
Originally posted by: eclipse-news.rizzoweb.com

Note: copying to eclipse.platform
(my comments are below)

On 12/3/2008 4:50 AM, Mauro Molinari wrote:
> Gary Udstrand ha scritto:
>> No problem I thought, I went to the prefs and added a 3.23 server. I then
>> went back into the project properties to add the server lib to the
>> classpath. In there was an entry for jBoss 3.2 that was an artifact of
>> the
>> Europa workspace. No problem, I deleted it and added the newly created
>> jBoss 3.2.3 config. Returning to the project and attempting a build
>> resulted in the same issues. I went back to the properties and Eclipse
>> (Ganymede) had reverted back to the previous server libs (with an unbound
>> in parens after the entry). I tried repeatedly to delete the old unbound
>> libs and add the newly created server with no luck, What the heck am I
>> doing wrong?
>
> I wouldn't suggest you to use the old workspace. Rather, backup your
> Europa workspace, but then start Ganymede on a new empty workspace and
> import projects from your old Europa workspace.
> This prevents Ganymede from using metadatas from Europa, causing problems.

What problems, specifically, are you referring to? I've been using
Europa-created workspaces with Ganymede for at least 6 months now
without any problems. In fact, I can even switch between Europa and
Ganymede running against the same workspace and it seems to work just
fine (even though that is not officially supported).

Eric
Re: Moving from Europa to Ganymede [message #224698 is a reply to message #224660] Thu, 04 December 2008 08:16 Go to previous message
Eclipse User
Originally posted by: mauro.molinari.cardinis.com

Eric Rizzo ha scritto:
> What problems, specifically, are you referring to? I've been using
> Europa-created workspaces with Ganymede for at least 6 months now
> without any problems. In fact, I can even switch between Europa and
> Ganymede running against the same workspace and it seems to work just
> fine (even though that is not officially supported).

I can't say exactly what problems can be, I just read many times in the
newsgroup that it is suggested to create a new workspace and import the
old projects rather than starting with a new version of Eclipse on the
same (old) workspace. I remember this was particularly true for WTP
projects. Maybe WTP 3.x is perfectly backward-compatible with WTP 2.x,
but anyway I would always prefer to start with a new fresh workspace.

Mauro.

P.S.: I just found out an old discussion in eclipse.tools.jdt newsgroup,
titled "sharing java projects among 3.3 and 3.4 workspaces". In that
topic JDT developers say that, for JDT, "Moving forward is supported
i.e. you can start a 3.3 workspace with 3.4 but if you start a 3.4
workspace with 3.3 unexpected things can happen and hence that scenario
is not supported.".
Previous Topic:Starting Custom JBoss Configuration
Next Topic:XML not Publishing to Tomcat 6.x and 5.5
Goto Forum:
  


Current Time: Fri Aug 29 20:26:34 EDT 2014

Powered by FUDForum. Page generated in 0.01659 seconds